org.modeshape.jdbc.metadata

## Interface ResultsMetadataConstants

-     public interface ResultsMetadataConstants

  This constants in this class indicate the column positions of different columns in queries against metadata. These constants are used in JcrResultsMetaData object to obtain column specific metadata information.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ResultsMetadataConstants.NULL_TYPES` These types are associated with a DataType or an Element needing the indication of null types.
    `static class` | `ResultsMetadataConstants.SEARCH_TYPES` These types are associated with the Element having valid search types.
    `static class` | `ResultsMetadataConstants.TABLE_TYPES`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Integer` | `AUTO_INCREMENTING`
    `static Integer` | `CASE_SENSITIVE`
    `static Integer` | `CATALOG`
    `static Integer` | `COLUMN`
    `static Integer` | `COLUMN_LABEL`
    `static Integer` | `CURRENCY`
    `static Integer` | `DATA_TYPE`
    `static Integer` | `DISPLAY_SIZE`
    `static Integer` | `NULLABLE`
    `static Integer` | `PRECISION`
    `static Integer` | `RADIX`
    `static Integer` | `SCALE`
    `static Integer` | `SCHEMA`
    `static Integer` | `SEARCHABLE`
    `static Integer` | `SIGNED`
    `static Integer` | `TABLE`
    `static Integer` | `WRITABLE`

- - ### Field Detail

    - #### CATALOG

          static final Integer CATALOG

    - #### SCHEMA

          static final Integer SCHEMA

    - #### TABLE

          static final Integer TABLE

    - #### COLUMN

          static final Integer COLUMN

    - #### COLUMN_LABEL

          static final Integer COLUMN_LABEL

    - #### DATA_TYPE

          static final Integer DATA_TYPE

    - #### PRECISION

          static final Integer PRECISION

    - #### RADIX

          static final Integer RADIX

    - #### SCALE

          static final Integer SCALE

    - #### AUTO_INCREMENTING

          static final Integer AUTO_INCREMENTING

    - #### CASE_SENSITIVE

          static final Integer CASE_SENSITIVE

    - #### NULLABLE

          static final Integer NULLABLE

    - #### SEARCHABLE

          static final Integer SEARCHABLE

    - #### SIGNED

          static final Integer SIGNED

    - #### WRITABLE

          static final Integer WRITABLE

    - #### CURRENCY

          static final Integer CURRENCY

    - #### DISPLAY_SIZE

          static final Integer DISPLAY_SIZE

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.